Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 5 Aug 2017 16:58:02 +0000 (UTC)
From:      Ngie Cooper <ngie@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r322101 - head/bin/chmod/tests
Message-ID:  <201708051658.v75Gw2H3021411@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: ngie
Date: Sat Aug  5 16:58:02 2017
New Revision: 322101
URL: https://svnweb.freebsd.org/changeset/base/322101

Log:
  Don't check result of chflags in f_flag_cleanup()
  
  This will prevent false positives from occurring if the test is run on
  ZFS since ZFS doesn't support fflags throbbing like UFS.
  
  PR:	221189
  MFC after:	4 days
  MFC with:	r321949

Modified:
  head/bin/chmod/tests/chmod_test.sh

Modified: head/bin/chmod/tests/chmod_test.sh
==============================================================================
--- head/bin/chmod/tests/chmod_test.sh	Sat Aug  5 16:55:07 2017	(r322100)
+++ head/bin/chmod/tests/chmod_test.sh	Sat Aug  5 16:58:02 2017	(r322101)
@@ -115,7 +115,7 @@ f_flag_body()
 
 f_flag_cleanup()
 {
-	atf_check chflags 0 foo
+	chflags 0 foo || :
 }
 
 atf_test_case h_flag



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201708051658.v75Gw2H3021411>